﻿using System;
using System.Runtime.InteropServices;

namespace TestProject
{
    /// <summary>
    /// 시작시 정보
    /// </summary>
    [StructLayout(LayoutKind.Sequential, CharSet = CharSet.Unicode)]
    public struct STARTUPINFO
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// 바이트 카운트
        /// </summary>
        public int ByteCount;

        /// <summary>
        /// 예약
        /// </summary>
        public string Reserved;

        /// <summary>
        /// 데스크톱
        /// </summary>
        public string Desktop;

        /// <summary>
        /// 제목
        /// </summary>
        public string Title;

        /// <summary>
        /// X
        /// </summary>
        public int X;

        /// <summary>
        /// Y
        /// </summary>
        public int Y;

        /// <summary>
        /// X 크기
        /// </summary>
        public int XSize;

        /// <summary>
        /// Y 크기
        /// </summary>
        public int YSize;

        /// <summary>
        /// X 문자 카운트
        /// </summary>
        public int XCountCharacters;

        /// <summary>
        /// Y 문자 카운트
        /// </summary>
        public int YCountCharacters;

        /// <summary>
        /// 칠하기 어트리뷰트
        /// </summary>
        public int FillAttribute;

        /// <summary>
        /// 플래그
        /// </summary>
        public int Flag;

        /// <summary>
        /// 윈도우 표시
        /// </summary>
        public short ShowWindow;

        /// <summary>
        /// 예약 2 바이트 카운트
        /// </summary>
        public short Reserved2ByteCount;

        /// <summary>
        /// 예약 2 핸들
        /// </summary>
        public IntPtr Reserved2Handle;

        /// <summary>
        /// 표준 입력 핸들
        /// </summary>
        public IntPtr StandardInputHandle;

        /// <summary>
        /// 표준 출력 핸들
        /// </summary>
        public IntPtr StandardOutputHandle;

        /// <summary>
        /// 표준 에러 핸들
        /// </summary>
        public IntPtr StandardErrorHandle;

        #endregion
    }
}